

#include "BUILTIN.h"
extern OBJ _APartName_28(OBJ);extern OBJ __APartName_28;
extern OBJ __APartName_60;
extern OBJ __APartName_61;
extern OBJ _AImpl_182(OBJ,OBJ);extern OBJ __AImpl_182;
extern OBJ _AImpl_185(OBJ,OBJ);extern OBJ __AImpl_185;
extern OBJ _AImpl_186(OBJ,OBJ);extern OBJ __AImpl_186;
extern OBJ _AImpl_189(OBJ,OBJ);extern OBJ __AImpl_189;
extern OBJ _AImpl_190(OBJ,OBJ);extern OBJ __AImpl_190;
extern OBJ _AGlobPragma_14(OBJ,OBJ);extern OBJ __AGlobPragma_14;
extern OBJ _ARep_27(OBJ,OBJ);extern OBJ __ARep_27;
extern OBJ _ARep_119(OBJ);extern OBJ __ARep_119;
extern OBJ __ARep_187;
extern OBJ _APragma_10(OBJ);extern OBJ __APragma_10;

#include "Nat.h"

#include "Char.h"

#include "Bitset.h"
extern OBJ __ALexem_6;
extern OBJ __ALexem_7;
extern OBJ __ALexem_11;
extern OBJ __ALexem_13;
extern OBJ __ALexem_14;
extern OBJ __ALexem_17;
extern OBJ __ALexem_19;
extern OBJ __ALexem_20;
extern OBJ __ALexem_22;
extern OBJ __ALexem_33;
extern OBJ __ALexem_34;
extern OBJ __ALexem_38;
extern OBJ __ALexem_46;
extern OBJ __ALexem_47;
extern OBJ __ALexem_51;
extern OBJ _ASeqMap_3(OBJ,OBJ);extern OBJ __ASeqMap_3;
extern OBJ _ASeqReduce_3(OBJ,OBJ,OBJ);extern OBJ __ASeqReduce_3;
extern OBJ _ASeqReduce_4(OBJ,OBJ,OBJ);extern OBJ __ASeqReduce_4;

#include "Denotation.h"

#include "CharConv.h"
extern OBJ _AMapConv_8(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __AMapConv_8;
extern OBJ __AMapConv_13;
extern OBJ __AMapConv_14;
extern OBJ __AMapConv_15;
extern OBJ _ASeqConv_2(OBJ,OBJ);extern OBJ __ASeqConv_2;
extern OBJ __ASeqConv_8;

#include "Array.h"

#include "Int.h"
extern OBJ _AStruct_2(OBJ,OBJ,OBJ,OBJ);OBJ __AStruct_2; /* origin */
extern OBJ _AStruct_3(OBJ);OBJ __AStruct_3; /* origin? */
extern OBJ _AStruct_4(OBJ);OBJ __AStruct_4; /* pragma */
extern OBJ _AStruct_5(OBJ);OBJ __AStruct_5; /* paramS */
extern OBJ _AStruct_6(OBJ);OBJ __AStruct_6; /* pos */
extern OBJ _AStruct_7(OBJ);OBJ __AStruct_7; /* structIde */
OBJ __AStruct_8; /* error */
extern OBJ _AStruct_9(OBJ);OBJ __AStruct_9; /* error? */
extern OBJ _AStruct_11(OBJ,OBJ);OBJ __AStruct_11; /* only */
extern OBJ _AStruct_12(OBJ);OBJ __AStruct_12; /* only? */
extern OBJ _AStruct_13(OBJ);OBJ __AStruct_13; /* only,1 */
extern OBJ _AStruct_14(OBJ);OBJ __AStruct_14; /* origin,1 */
extern OBJ _AStruct_15(OBJ);OBJ __AStruct_15; /* complete */
extern OBJ _AStruct_16(OBJ);OBJ __AStruct_16; /* complete? */
extern OBJ _AStruct_19(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AStruct_19; /* mkstruct */
extern OBJ _AStruct_20(OBJ);OBJ __AStruct_20; /* mkstruct? */
extern OBJ _AStruct_21(OBJ);OBJ __AStruct_21; /* part */
extern OBJ _AStruct_22(OBJ);OBJ __AStruct_22; /* pos,1 */
extern OBJ _AStruct_23(OBJ);OBJ __AStruct_23; /* relations */
extern OBJ _AStruct_24(OBJ);OBJ __AStruct_24; /* proofBodies */
extern OBJ _AStruct_25(OBJ);OBJ __AStruct_25; /* proofHeads */
extern OBJ _AStruct_26(OBJ);OBJ __AStruct_26; /* pragmas */
extern OBJ _AStruct_27(OBJ);OBJ __AStruct_27; /* laws */
extern OBJ _AStruct_28(OBJ);OBJ __AStruct_28; /* freeTypes */
extern OBJ _AStruct_29(OBJ);OBJ __AStruct_29; /* funImpls */
extern OBJ _AStruct_30(OBJ);OBJ __AStruct_30; /* sortImpls */
extern OBJ _AStruct_31(OBJ);OBJ __AStruct_31; /* specsign */
extern OBJ _AStruct_32(OBJ);OBJ __AStruct_32; /* signature */
extern OBJ _AStruct_33(OBJ);OBJ __AStruct_33; /* imports */
extern OBJ _AStruct_34(OBJ);OBJ __AStruct_34; /* head */
OBJ __AStruct_35; /* error,1 */
extern OBJ _AStruct_36(OBJ);OBJ __AStruct_36; /* error?,1 */
OBJ __AStruct_38; /* intProps */
extern OBJ _AStruct_39(OBJ);OBJ __AStruct_39; /* intProps? */
OBJ __AStruct_40; /* extProps */
extern OBJ _AStruct_41(OBJ);OBJ __AStruct_41; /* extProps? */
OBJ __AStruct_42; /* implementation */
extern OBJ _AStruct_43(OBJ);OBJ __AStruct_43; /* implementation? */
OBJ __AStruct_44; /* signature,1 */
extern OBJ _AStruct_45(OBJ);OBJ __AStruct_45; /* signature? */
extern OBJ _AStruct_46(OBJ);OBJ __AStruct_46; /* ` */
extern OBJ _AStruct_47(OBJ);OBJ __AStruct_47; /* `,1 */
extern OBJ _AStruct_48(OBJ);OBJ __AStruct_48; /* `,2 */
extern OBJ _AStruct_90(OBJ,OBJ);OBJ __AStruct_90; /* h1 */
extern OBJ _AStruct_91(OBJ,OBJ);OBJ __AStruct_91; /* h2 */
extern OBJ _AStruct_92(OBJ,OBJ);OBJ __AStruct_92; /* h3 */
extern OBJ _AStruct_93(OBJ,OBJ);OBJ __AStruct_93; /* h4 */
extern OBJ _AStruct_94(OBJ,OBJ);OBJ __AStruct_94; /* h5 */
extern OBJ _AStruct_95(OBJ,OBJ);OBJ __AStruct_95; /* h6 */
extern OBJ _AStruct_96(OBJ);OBJ __AStruct_96; /* h7 */
extern OBJ _AStruct_97(OBJ,OBJ);OBJ __AStruct_97; /* h6,1 */
OBJ __AStruct_98; /* `,2'98 */
extern OBJ _AStruct_99(OBJ,OBJ);OBJ __AStruct_99; /* `,2'99 */
OBJ __AStruct_100; /* h6,1'100 */
extern OBJ _AStruct_101(OBJ);OBJ __AStruct_101; /* `,1'101 */
OBJ __AStruct_102; /* h1'102 */
OBJ __AStruct_103; /* `'103 */
extern OBJ _AStruct_104(OBJ);OBJ __AStruct_104; /* `'104 */
extern OBJ _AStruct_105(OBJ);OBJ __AStruct_105; /* `'105 */
extern OBJ _AStruct_106(OBJ);OBJ __AStruct_106; /* `'106 */
extern OBJ _AStruct_107(OBJ);OBJ __AStruct_107; /* `'107 */
extern OBJ _AStruct_108(OBJ);OBJ __AStruct_108; /* `'108 */
OBJ __AStruct_109; /* `'109 */
extern OBJ _AStruct_110(OBJ);OBJ __AStruct_110; /* `'110 */
extern OBJ _AStruct_111(OBJ);OBJ __AStruct_111; /* `'111 */
extern OBJ _AStruct_112(OBJ);OBJ __AStruct_112; /* `'112 */
extern OBJ _AStruct_113(OBJ);OBJ __AStruct_113; /* `'113 */

extern OBJ _AStruct_2(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* origin */
{OBJ r;
 PRD1(4,r);FLD1(r,1)=x1;FLD1(r,2)=x2;FLD1(r,3)=x3;FLD1(r,4)=x4;
 return r;}

extern OBJ _AStruct_3(OBJ x1) /* origin? */
{OBJ r;
 if(ISPRM(x1)){
  r=__ABUILTIN_3;
 }else{
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;}
 return r;}

extern OBJ _AStruct_4(OBJ x1) /* pragma */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection pragma\'Struct:origin->pragma");
 }else{
  {OBJ x5=FLD1(x1,4);
   if(EXPRD(x1,1)){
    r=x5;
    FLD1(x1,4)=NIL;DSPRD(x1);
   }else{
    COPY(x5,1);
    r=x5;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_5(OBJ x1) /* paramS */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection paramS\'Struct:origin->seq");
 }else{
  {OBJ x4=FLD1(x1,3);
   if(EXPRD(x1,1)){
    r=x4;
    FLD1(x1,3)=NIL;DSPRD(x1);
   }else{
    COPY(x4,1);
    r=x4;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_6(OBJ x1) /* pos */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection pos\'Struct:origin->pos");
 }else{
  {OBJ x3=FLD1(x1,2);
   if(EXPRD(x1,1)){
    r=x3;
    FLD1(x1,2)=NIL;DSPRD(x1);
   }else{
    COPY(x3,1);
    r=x3;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_7(OBJ x1) /* structIde */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection structIde\'Struct:origin->rep");
 }else{
  {OBJ x2=FLD1(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    FLD1(x1,1)=NIL;DSPRD(x1);
   }else{
    CPPRD(x2,1);
    r=x2;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_9(OBJ x1) /* error? */
{OBJ r;
 if(ISPRM(x1)){
  r=__ABUILTIN_5;
 }else{
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AStruct_11(OBJ x1,OBJ x2) /* only */
{OBJ r;
 PRD(2,1,r);FLD(r,1)=x1;FLD(r,2)=x2;
 return r;}

extern OBJ _AStruct_12(OBJ x1) /* only? */
{OBJ r;
 if(ISTGPRD(x1,1)){
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AStruct_13(OBJ x1) /* only,1 */
{OBJ r;
 if(ISTGPRD(x1,1)){
  {OBJ x3=FLD(x1,2);
   if(EXPRD(x1,1)){
    r=x3;
    FREE(FLD(x1,1),1);DSPRDF(x1);
   }else{
    COPY(x3,1);
    r=x3;
    FRPRD(x1,1);}}
 }else{
  HLT("Struct at <unknown> : undefined selection only\'Struct:import->seq");}
 return r;}

extern OBJ _AStruct_14(OBJ x1) /* origin,1 */
{OBJ r;
 {OBJ x2=FLD(x1,1);
  if(EXPRD(x1,1)){
   r=x2;
   FLD(x1,1)=NIL;DSPRD(x1);
  }else{
   COPY(x2,1);
   r=x2;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _AStruct_15(OBJ x1) /* complete */
{OBJ r;
 PRD(1,0,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AStruct_16(OBJ x1) /* complete? */
{OBJ r;
 if(ISTGPRD(x1,0)){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AStruct_19(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7,OBJ x8,OBJ x9,OBJ x10,OBJ x11,OBJ x12,OBJ x13,OBJ x14) /* mkstruct */
{OBJ r;
 PRD1(14,r);FLD1(r,1)=x1;FLD1(r,2)=x2;FLD1(r,3)=x3;FLD1(r,4)=x4;FLD1(r,5)=x5;FLD1(r,6)=x6;FLD1(r,7)=x7;FLD1(r,8)=x8;FLD1(r,9)=x9;FLD1(r,10)=x10;FLD1(r,11)=x11;FLD1(r,12)=x12;FLD1(r,13)=x13;FLD1(r,14)=x14;
 return r;}

extern OBJ _AStruct_20(OBJ x1) /* mkstruct? */
{OBJ r;
 if(ISPRM(x1)){
  r=__ABUILTIN_3;
 }else{
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;}
 return r;}

extern OBJ _AStruct_21(OBJ x1) /* part */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection part\'Struct:struct->part");
 }else{
  {OBJ x15=FLD1(x1,14);
   if(EXPRD(x1,1)){
    r=x15;
    DSPRD(x1);
   }else{
    r=x15;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_22(OBJ x1) /* pos,1 */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection pos\'Struct:struct->pos");
 }else{
  {OBJ x14=FLD1(x1,13);
   if(EXPRD(x1,1)){
    r=x14;
    FLD1(x1,13)=NIL;DSPRD(x1);
   }else{
    COPY(x14,1);
    r=x14;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_23(OBJ x1) /* relations */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection relations\'Struct:struct->map");
 }else{
  {OBJ x13=FLD1(x1,12);
   if(EXPRD(x1,1)){
    r=x13;
    FLD1(x1,12)=NIL;DSPRD(x1);
   }else{
    COPY(x13,1);
    r=x13;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_24(OBJ x1) /* proofBodies */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection proofBodies\'Struct:struct->seq");
 }else{
  {OBJ x12=FLD1(x1,11);
   if(EXPRD(x1,1)){
    r=x12;
    FLD1(x1,11)=NIL;DSPRD(x1);
   }else{
    COPY(x12,1);
    r=x12;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_25(OBJ x1) /* proofHeads */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection proofHeads\'Struct:struct->seq");
 }else{
  {OBJ x11=FLD1(x1,10);
   if(EXPRD(x1,1)){
    r=x11;
    FLD1(x1,10)=NIL;DSPRD(x1);
   }else{
    COPY(x11,1);
    r=x11;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_26(OBJ x1) /* pragmas */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection pragmas\'Struct:struct->seq");
 }else{
  {OBJ x10=FLD1(x1,9);
   if(EXPRD(x1,1)){
    r=x10;
    FLD1(x1,9)=NIL;DSPRD(x1);
   }else{
    COPY(x10,1);
    r=x10;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_27(OBJ x1) /* laws */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection laws\'Struct:struct->seq");
 }else{
  {OBJ x9=FLD1(x1,8);
   if(EXPRD(x1,1)){
    r=x9;
    FLD1(x1,8)=NIL;DSPRD(x1);
   }else{
    COPY(x9,1);
    r=x9;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_28(OBJ x1) /* freeTypes */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection freeTypes\'Struct:struct->seq");
 }else{
  {OBJ x8=FLD1(x1,7);
   if(EXPRD(x1,1)){
    r=x8;
    FLD1(x1,7)=NIL;DSPRD(x1);
   }else{
    COPY(x8,1);
    r=x8;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_29(OBJ x1) /* funImpls */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection funImpls\'Struct:struct->seq");
 }else{
  {OBJ x7=FLD1(x1,6);
   if(EXPRD(x1,1)){
    r=x7;
    FLD1(x1,6)=NIL;DSPRD(x1);
   }else{
    COPY(x7,1);
    r=x7;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_30(OBJ x1) /* sortImpls */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection sortImpls\'Struct:struct->seq");
 }else{
  {OBJ x6=FLD1(x1,5);
   if(EXPRD(x1,1)){
    r=x6;
    FLD1(x1,5)=NIL;DSPRD(x1);
   }else{
    COPY(x6,1);
    r=x6;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_31(OBJ x1) /* specsign */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection specsign\'Struct:struct->seq");
 }else{
  {OBJ x5=FLD1(x1,4);
   if(EXPRD(x1,1)){
    r=x5;
    FLD1(x1,4)=NIL;DSPRD(x1);
   }else{
    COPY(x5,1);
    r=x5;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_32(OBJ x1) /* signature */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection signature\'Struct:struct->seq");
 }else{
  {OBJ x4=FLD1(x1,3);
   if(EXPRD(x1,1)){
    r=x4;
    FLD1(x1,3)=NIL;DSPRD(x1);
   }else{
    COPY(x4,1);
    r=x4;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_33(OBJ x1) /* imports */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection imports\'Struct:struct->seq");
 }else{
  {OBJ x3=FLD1(x1,2);
   if(EXPRD(x1,1)){
    r=x3;
    FLD1(x1,2)=NIL;DSPRD(x1);
   }else{
    COPY(x3,1);
    r=x3;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_34(OBJ x1) /* head */
{OBJ r;
 if(ISPRM(x1)){
  HLT("Struct at <unknown> : undefined selection head\'Struct:struct->origin");
 }else{
  {OBJ x2=FLD1(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    FLD1(x1,1)=NIL;DSPRD(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _AStruct_36(OBJ x1) /* error?,1 */
{OBJ r;
 if(ISPRM(x1)){
  r=__ABUILTIN_5;
 }else{
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AStruct_39(OBJ x1) /* intProps? */
{OBJ r;
 if(ISTGPRM(x1,3)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AStruct_41(OBJ x1) /* extProps? */
{OBJ r;
 if(ISTGPRM(x1,2)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AStruct_43(OBJ x1) /* implementation? */
{OBJ r;
 if(ISTGPRM(x1,1)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AStruct_45(OBJ x1) /* signature? */
{OBJ r;
 if(ISTGPRM(x1,0)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AStruct_46(OBJ x1) /* ` */
{OBJ r;
 if(ISPRM(x1)){
  CPPRD(__AStruct_103,1);
  r=__AStruct_103;
 }else{
  {OBJ x298=FLD1(x1,1);OBJ x299=FLD1(x1,2);OBJ x300=FLD1(x1,3);OBJ x301=FLD1(x1,4);OBJ x302=FLD1(x1,5);OBJ x303=FLD1(x1,6);OBJ x304=FLD1(x1,7);OBJ x305=FLD1(x1,8);OBJ x306=FLD1(x1,9);OBJ x307=FLD1(x1,10);OBJ x308=FLD1(x1,11);OBJ x309=FLD1(x1,12);OBJ x311=FLD1(x1,14);
   if(EXPRD(x1,1)){
    FREE(FLD1(x1,13),1);DSPRDF(x1);
   }else{
    COPY(x298,1);COPY(x299,1);COPY(x300,1);COPY(x301,1);COPY(x302,1);COPY(x303,1);COPY(x304,1);COPY(x305,1);COPY(x306,1);COPY(x307,1);COPY(x308,1);COPY(x309,1);
    FRPRD(x1,1);}
   CPCLS(__AStruct_104,1);
   CPCLS(__AStruct_105,1);
   CPCLS(__AStruct_106,1);
   CPCLS(__AStruct_107,1);
   CPCLS(__AStruct_108,1);
   {OBJ x312;OBJ x313;OBJ x314;OBJ x315;OBJ x316;OBJ x332;OBJ x331;OBJ x318;OBJ x319;OBJ x320;OBJ x321;OBJ x322;OBJ x323;OBJ x324;OBJ x325;OBJ x326;OBJ x327;OBJ x328;OBJ x333;OBJ x334;OBJ x335;OBJ x336;OBJ x337;OBJ x338;OBJ x339;OBJ x340;OBJ x341;OBJ x342;OBJ x343;OBJ x344;OBJ x345;OBJ x346;OBJ x355;OBJ x354;OBJ x347;OBJ x348;OBJ x356;OBJ x357;OBJ x358;OBJ x359;OBJ x360;OBJ x361;OBJ x362;OBJ x363;OBJ x364;OBJ x365;OBJ x366;
    x312=(*(OBJ(*)(OBJ,OBJ))METHOD(__AStruct_108,1))(__AStruct_108,__ABUILTIN_20);
    x313=(*(OBJ(*)(OBJ,OBJ))METHOD(__AStruct_107,1))(__AStruct_107,__ABUILTIN_20);
    x314=(*(OBJ(*)(OBJ,OBJ))METHOD(__AStruct_106,1))(__AStruct_106,__ABUILTIN_20);
    x315=(*(OBJ(*)(OBJ,OBJ))METHOD(__AStruct_105,1))(__AStruct_105,__ABUILTIN_20);
    x316=(*(OBJ(*)(OBJ,OBJ))METHOD(__AStruct_104,1))(__AStruct_104,__ABUILTIN_20);
    if(ISTGPRM(x311,0)){
     x332=__ABUILTIN_5;
    }else{
     x332=__ABUILTIN_3;}
    if(ISPRM(x306)){
     CPCLS(x314,2);
     CPPRD(x316,1);
     CPCLS(__AStruct_90,1);
     CPCLS(__AStruct_91,1);
     CPCLS(__AStruct_92,1);
     CPCLS(__AStruct_93,1);
     CPCLS(__AStruct_94,1);
     CPCLS(__AStruct_95,1);
     CPCLS(__AStruct_96,1);
     CPPRD(__AStruct_100,1);
     CPPRD(__AStruct_102,6);
     CPPRD(__AStruct_109,1);
     CPCLS(__ARep_27,1);
     CPCLS(__ARep_119,1);
     CPPRD(__ARep_187,2);
     CPPRD(__ADenotation_3,7);
     CPPRD(__AMapConv_13,1);
     CPPRD(__AMapConv_14,1);
     CPPRD(__AMapConv_15,1);
     CPPRD(__ASeqConv_8,1);
     x331=__ABUILTIN_5;
    }else{
     CPCLS(x314,2);
     CPPRD(x316,1);
     CPCLS(__AStruct_90,1);
     CPCLS(__AStruct_91,1);
     CPCLS(__AStruct_92,1);
     CPCLS(__AStruct_93,1);
     CPCLS(__AStruct_94,1);
     CPCLS(__AStruct_95,1);
     CPCLS(__AStruct_96,1);
     CPPRD(__AStruct_100,1);
     CPPRD(__AStruct_102,6);
     CPPRD(__AStruct_109,1);
     CPCLS(__ARep_27,1);
     CPCLS(__ARep_119,1);
     CPPRD(__ARep_187,2);
     CPPRD(__ADenotation_3,7);
     CPPRD(__AMapConv_13,1);
     CPPRD(__AMapConv_14,1);
     CPPRD(__AMapConv_15,1);
     CPPRD(__ASeqConv_8,1);
     x331=__ABUILTIN_3;}
    x318=_AStruct_48(x298);
    x319=_ASeqReduce_4(__AStruct_90,__ADenotation_3,x299);
    x320=_ASeqReduce_4(__AStruct_91,__ADenotation_3,x300);
    x321=_ASeqMap_3(__AStruct_96,x301);
    x322=_ASeqReduce_4(__AStruct_92,__ADenotation_3,x302);
    x323=_ASeqReduce_4(__AStruct_93,__ADenotation_3,x303);
    x324=_ASeqReduce_4(__AStruct_94,__ADenotation_3,x304);
    x325=_ASeqReduce_4(__AStruct_95,__ADenotation_3,x305);
    x326=_ASeqMap_3(x312,x307);
    x327=_ASeqMap_3(x313,x308);
    x328=_AMapConv_8(__ARep_27,__AMapConv_13,__AMapConv_14,__ASeqConv_8,__AMapConv_15,__ARep_119,x315,x309);
    ADenotation_4(__AStruct_102,x328,x333);
    ADenotation_4(__AStruct_109,x323,x334);
    ADenotation_4(x319,__AStruct_102,x335);
    ADenotation_4(__AStruct_100,x318,x336);
    x337=_ASeqReduce_4(x314,__ADenotation_3,x321);
    ADenotation_4(x316,x325,x338);
    x339=_ASeqReduce_4(x314,__ARep_187,x326);
    x340=_ASeqReduce_4(x314,__ARep_187,x327);
    ADenotation_4(__AStruct_102,x340,x341);
    ADenotation_4(x322,x334,x342);
    ADenotation_4(x337,__AStruct_102,x343);
    ADenotation_4(__AStruct_102,x335,x344);
    ADenotation_4(x339,x341,x345);
    ADenotation_4(__AStruct_102,x343,x346);
    if(ISTGPRM(x332,1)){
     CPPRD(__ALexem_19,1);
     x355=__ALexem_19;
    }else{
     switch(TGPRM(x311)){
      case 3:
       CPCLS(__AStruct_113,1);
       x355=(*(OBJ(*)(OBJ,OBJ))METHOD(__AStruct_113,1))(__AStruct_113,__ABUILTIN_20);break;
      case 1:
       CPPRD(__ALexem_13,1);
       x355=__ALexem_13;break;
      case 0:
       HLT("Struct at <83,28-89,61> : missing else in `\'Struct:struct->denotation");break;
      default: 
       CPCLS(__AStruct_112,1);
       x355=(*(OBJ(*)(OBJ,OBJ))METHOD(__AStruct_112,1))(__AStruct_112,__ABUILTIN_20);}}
    if(ISTGPRM(x331,1)){
     FREE(x306,1);
     CPPRD(__AStruct_102,3);
     CPPRD(__ARep_187,1);
     x354=__ARep_187;
    }else{
     CPPRD(__AStruct_102,3);
     CPCLS(__AStruct_110,1);
     CPCLS(__AStruct_111,1);
     CPPRD(__ALexem_33,1);
     CPPRD(__ADenotation_3,1);
     CPCLS(__ADenotation_4,1);
     {OBJ x349;OBJ x350;OBJ x351;OBJ x352;OBJ x353;
      x349=(*(OBJ(*)(OBJ,OBJ))METHOD(__AStruct_110,1))(__AStruct_110,__ABUILTIN_20);
      x350=(*(OBJ(*)(OBJ,OBJ))METHOD(__AStruct_111,1))(__AStruct_111,__ABUILTIN_20);
      x351=_ASeqMap_3(x349,x306);
      x352=_ASeqReduce_4(__ADenotation_4,__ADenotation_3,x351);
      ADenotation_4(x352,x350,x353);
      ADenotation_4(__ALexem_33,x353,x354);}}
    ADenotation_4(__AStruct_102,x345,x347);
    ADenotation_4(x320,x346,x348);
    ADenotation_4(x347,x333,x356);
    ADenotation_4(__AStruct_102,x354,x357);
    ADenotation_4(x355,x336,x358);
    ADenotation_4(x338,x357,x359);
    ADenotation_4(x358,x344,x360);
    ADenotation_4(__AStruct_102,x359,x361);
    ADenotation_4(x324,x361,x362);
    ADenotation_4(x316,x362,x363);
    ADenotation_4(x363,x356,x364);
    ADenotation_4(x342,x364,x365);
    ADenotation_4(x348,x365,x366);
    ADenotation_4(x360,x366,r);}}}
 return r;}

extern OBJ _AStruct_47(OBJ x1) /* `,1 */
{OBJ r;
 CPCLS(__AStruct_101,1);
 {OBJ x6;OBJ x10;OBJ x5;OBJ x11;OBJ x18;OBJ x19;OBJ x20;
  x6=(*(OBJ(*)(OBJ,OBJ))METHOD(__AStruct_101,1))(__AStruct_101,__ABUILTIN_20);
  if(ISTGPRD(x1,0)){
   {OBJ x24=FLD(x1,1);
    COPY(x24,1);
    x5=x24;
    x10=__ABUILTIN_5;}
  }else{
   {OBJ x25=FLD(x1,1);
    COPY(x25,1);
    x5=x25;
    x10=__ABUILTIN_3;}}
  x11=_AStruct_48(x5);
  if(ISTGPRM(x10,1)){
   FRPRD(x1,1);
   CPPRD(__ALexem_6,1);
   CPPRD(__ALexem_14,1);
   x18=__ALexem_6;
  }else{
   {OBJ x16;OBJ x17;
    if(ISTGPRD(x1,1)){
     {OBJ x13=FLD(x1,2);
      if(EXPRD(x1,1)){
       x16=x13;
       FREE(FLD(x1,1),1);DSPRDF(x1);
      }else{
       COPY(x13,1);
       x16=x13;
       FRPRD(x1,1);}
      CPCLS(__AStruct_97,1);
      CPPRD(__ALexem_14,1);
      CPPRD(__ALexem_17,1);
      CPPRD(__ADenotation_3,1);}
    }else{
     HLT("Struct at <unknown> : undefined selection only\'Struct:import->seq");}
    x17=_ASeqReduce_4(__AStruct_97,__ADenotation_3,x16);
    ADenotation_4(__ALexem_17,x17,x18);}}
  ADenotation_4(x6,x18,x19);
  ADenotation_4(x11,x19,x20);
  ADenotation_4(__ALexem_14,x20,r);}
 return r;}

extern OBJ _AStruct_48(OBJ x1) /* `,2 */
{OBJ r;
 if(ISPRM(x1)){
  CPPRD(__AStruct_98,1);
  r=__AStruct_98;
 }else{
  {OBJ x133=FLD1(x1,1);OBJ x135=FLD1(x1,3);OBJ x136=FLD1(x1,4);
   if(EXPRD(x1,1)){
    FREE(FLD1(x1,2),1);DSPRDF(x1);
   }else{
    CPPRD(x133,1);COPY(x135,1);COPY(x136,1);
    FRPRD(x1,1);}
   if(ISPRM(x135)){
    CPPRD(__ALexem_38,1);
    {OBJ x138;OBJ x139;OBJ x140;
     x138=_APragma_10(x136);
     x139=_ARep_119(x133);
     ADenotation_4(x139,x138,x140);
     ADenotation_4(__ALexem_38,x140,r);}
   }else{
    {OBJ x141=FLD1(x135,1);OBJ x142=FLD1(x135,2);
     if(EXPRD(x135,1)){
      DSPRDF(x135);
     }else{
      COPY(x141,1);COPY(x142,1);
      FRPRD(x135,1);}
     CPCLS(__AStruct_99,1);
     CPPRD(__APartName_60,1);
     CPPRD(__APartName_61,1);
     CPPRD(__ALexem_38,1);
     {OBJ x144;OBJ x145;OBJ x147;OBJ x148;OBJ x149;OBJ x150;OBJ x151;OBJ x152;
      x144=_APragma_10(x136);
      x145=_ARep_119(x133);
      x147=_APartName_28(x141);
      x148=_ASeqReduce_3(__AStruct_99,__APartName_60,x142);
      ADenotation_4(x148,x144,x149);
      ADenotation_4(x147,x149,x150);
      ADenotation_4(__APartName_61,x150,x151);
      ADenotation_4(x145,x151,x152);
      ADenotation_4(__ALexem_38,x152,r);}}}}}
 return r;}

extern OBJ _AStruct_90(OBJ x1,OBJ x2) /* h1 */
{OBJ r;
 CPPRD(__AStruct_102,1);
 {OBJ x3;OBJ x4;
  x3=_AStruct_47(x1);
  ADenotation_4(x3,x2,x4);
  ADenotation_4(__AStruct_102,x4,r);}
 return r;}

extern OBJ _AStruct_91(OBJ x1,OBJ x2) /* h2 */
{OBJ r;
 {OBJ x10;OBJ x11;OBJ x12;OBJ x13;OBJ x14;OBJ x18;OBJ x19;
  if(ISPRM(x1)){
   HLT("PartName at <unknown> : undefined selection kind\'PartName:partName->kind");
  }else{
   {OBJ x7=FLD1(x1,5);
    COPY(x7,1);
    x10=x7;}}
  x11=_APartName_28(x1);
  if(ISPRM(x10)&&(ISTGPRM(x10,0))){
   CPPRD(__AStruct_100,1);
   x12=__ABUILTIN_5;
  }else{
   CPPRD(__AStruct_100,1);
   x12=__ABUILTIN_3;}
  ADenotation_4(x11,x2,x13);
  ADenotation_4(__AStruct_100,x13,x14);
  if(ISTGPRM(x12,1)){
   FREE(x10,1);
   CPPRD(__AStruct_102,1);
   CPPRD(__ALexem_20,1);
   x18=__ALexem_20;
  }else{
   if(ISPRD(x10)){
    if(EXPRD(x10,1)){
     FREE(FLD1(x10,1),1);DSPRDF(x10);
    }else{
     DCPRD(x10,1);}
    CPPRD(__AStruct_102,1);
    CPPRD(__ALexem_11,1);
    x18=__ALexem_11;
   }else{
    FREE(x10,1);
    CPPRD(__AStruct_102,1);
    CPPRD(__ADenotation_3,1);
    x18=__ADenotation_3;}}
  ADenotation_4(x18,x14,x19);
  ADenotation_4(__AStruct_102,x19,r);}
 return r;}

extern OBJ _AStruct_92(OBJ x1,OBJ x2) /* h3 */
{OBJ r;
 CPPRD(__AStruct_100,1);
 CPPRD(__AStruct_102,1);
 CPCLS(__APartName_28,1);
 CPPRD(__ALexem_7,1);
 {OBJ x3;OBJ x4;OBJ x5;OBJ x6;
  x3=_AImpl_182(__APartName_28,x1);
  ADenotation_4(x3,x2,x4);
  ADenotation_4(__AStruct_100,x4,x5);
  ADenotation_4(__ALexem_7,x5,x6);
  ADenotation_4(__AStruct_102,x6,r);}
 return r;}

extern OBJ _AStruct_93(OBJ x1,OBJ x2) /* h4 */
{OBJ r;
 CPPRD(__AStruct_102,1);
 CPCLS(__APartName_28,1);
 {OBJ x3;OBJ x4;
  x3=_AImpl_185(__APartName_28,x1);
  ADenotation_4(x3,x2,x4);
  ADenotation_4(__AStruct_102,x4,r);}
 return r;}

extern OBJ _AStruct_94(OBJ x1,OBJ x2) /* h5 */
{OBJ r;
 CPPRD(__AStruct_100,1);
 CPPRD(__AStruct_102,1);
 CPCLS(__APartName_28,1);
 CPPRD(__ALexem_22,1);
 {OBJ x3;OBJ x4;OBJ x5;OBJ x6;
  x3=_AImpl_182(__APartName_28,x1);
  ADenotation_4(x3,x2,x4);
  ADenotation_4(__AStruct_100,x4,x5);
  ADenotation_4(__ALexem_22,x5,x6);
  ADenotation_4(__AStruct_102,x6,r);}
 return r;}

extern OBJ _AStruct_95(OBJ x1,OBJ x2) /* h6 */
{OBJ r;
 CPPRD(__AStruct_102,1);
 CPCLS(__APartName_28,1);
 {OBJ x3;OBJ x4;
  x3=_AImpl_186(__APartName_28,x1);
  ADenotation_4(x3,x2,x4);
  ADenotation_4(__AStruct_102,x4,r);}
 return r;}

extern OBJ _AStruct_96(OBJ x1) /* h7 */
{OBJ r;
 {OBJ x9=FLD1(x1,1);OBJ x10=FLD1(x1,2);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x9,1);CPPRD(x10,1);
   FRPRD(x1,1);}
  CPPRD(__ADenotation_3,1);
  {OBJ x11;
   x11=_AStruct_95(x10,__ADenotation_3);
   r=_AStruct_91(x9,x11);}}
 return r;}

extern OBJ _AStruct_97(OBJ x1,OBJ x2) /* h6,1 */
{OBJ r;
 CPPRD(__AStruct_100,1);
 {OBJ x3;OBJ x4;
  x3=_APartName_28(x1);
  ADenotation_4(x3,x2,x4);
  ADenotation_4(__AStruct_100,x4,r);}
 return r;}

extern OBJ _AStruct_99(OBJ x1,OBJ x2) /* `,2'99 */
{OBJ r;
 CPPRD(__ASeqConv_8,1);
 {OBJ x3;OBJ x4;
  x3=_APartName_28(x1);
  ADenotation_4(x3,x2,x4);
  ADenotation_4(__ASeqConv_8,x4,r);}
 return r;}

extern OBJ _AStruct_101(OBJ x1) /* `,1'101 */
{OBJ r;
 ADenotation_1(__ANat_8,__AChar_8,r);
 return r;}

extern OBJ _AStruct_104(OBJ x1) /* `'104 */
{OBJ r;
 ADenotation_1(__ANat_8,__AChar_7,r);
 return r;}

extern OBJ _AStruct_105(OBJ x1) /* `'105 */
{OBJ r;
 CPCLS(__AStruct_47,1);
 CPCLS(__ASeqConv_2,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ASeqConv_2,1))(__ASeqConv_2,__AStruct_47);
 return r;}

extern OBJ _AStruct_106(OBJ x1) /* `'106 */
{OBJ r;
 CPPRD(__AStruct_102,1);
 CPCLS(__ADenotation_6,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ADenotation_6,1))(__ADenotation_6,__AStruct_102);
 return r;}

extern OBJ _AStruct_107(OBJ x1) /* `'107 */
{OBJ r;
 CPCLS(__APartName_28,1);
 CPCLS(__AImpl_190,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImpl_190,1))(__AImpl_190,__APartName_28);
 return r;}

extern OBJ _AStruct_108(OBJ x1) /* `'108 */
{OBJ r;
 CPCLS(__APartName_28,1);
 CPCLS(__AImpl_189,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImpl_189,1))(__AImpl_189,__APartName_28);
 return r;}

extern OBJ _AStruct_110(OBJ x1) /* `'110 */
{OBJ r;
 CPCLS(__APartName_28,1);
 CPCLS(__AGlobPragma_14,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AGlobPragma_14,1))(__AGlobPragma_14,__APartName_28);
 return r;}

extern OBJ _AStruct_111(OBJ x1) /* `'111 */
{OBJ r;
 CPCLS(__AStruct_104,1);
 CPPRD(__ALexem_34,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AStruct_104,1))(__AStruct_104,__ABUILTIN_20);
  ADenotation_4(__ALexem_34,x2,r);}
 return r;}

extern OBJ _AStruct_112(OBJ x1) /* `'112 */
{OBJ r;
 CPPRD(__ALexem_46,1);
 CPPRD(__ALexem_51,1);
 ADenotation_4(__ALexem_46,__ALexem_51,r);
 return r;}

extern OBJ _AStruct_113(OBJ x1) /* `'113 */
{OBJ r;
 CPPRD(__ALexem_47,1);
 CPPRD(__ALexem_51,1);
 ADenotation_4(__ALexem_47,__ALexem_51,r);
 return r;}







static OBJ _mt_1_0_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 {OBJ t3;
  DCCLS(t,1);
  t3=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(t3,1))(t3,t2);}
 return r;}

static OBJ _mt_1_0_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 {OBJ t4;
  DCCLS(t,1);
  t4=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(t4,2))(t4,t2,t3);}
 return r;}

static OBJ _mt_14_0_14(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9,OBJ t10,OBJ t11,OBJ t12,OBJ t13,OBJ t14) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3,t4,t5,t6,t7,t8,t9,t10,t11,t12,t13,t14);
 return r;}

init_AStruct()
{
 static int visited=0; if(visited) return; visited=1;
 init_APartName();
 init_AImpl();
 init_AGlobPragma();
 init_AOcPos();
 init_ARep();
 init_APragma();
 init_ASeq();
 init_APair();
 init_AMap();
 init_ANat();
 init_AOption();
 init_ASet();
 init_AChar();
 init_AFct();
 init_ABitset();
 init_ALexem();
 init_ASeqMap();
 init_ASeqReduce();
 init_ADenotation();
 init_ACharConv();
 init_AMapConv();
 init_ASeqConv();
 init_AString();
 init_AArray();
 init_ASetByBST();
 init_ABSTree();
 init_ATree();
 init_AInt();
 CLS(1,_AStruct_31,__AStruct_31);
 CLS(2,_AStruct_95,__AStruct_95);
 CLS(1,_AStruct_30,__AStruct_30);
 CLS(2,_AStruct_94,__AStruct_94);
 CLS(1,_AStruct_29,__AStruct_29);
 CLS(2,_AStruct_93,__AStruct_93);
 CLS(1,_AStruct_28,__AStruct_28);
 CLS(2,_AStruct_92,__AStruct_92);
 CLS(1,_AStruct_27,__AStruct_27);
 CLS(2,_AStruct_91,__AStruct_91);
 CLS(1,_AStruct_26,__AStruct_26);
 CLS(2,_AStruct_90,__AStruct_90);
 CLS(1,_AStruct_25,__AStruct_25);
 CLS(1,_AStruct_24,__AStruct_24);
 CLS(1,_AStruct_23,__AStruct_23);
 CLS(1,_AStruct_22,__AStruct_22);
 CLS(1,_AStruct_21,__AStruct_21);
 CLS(1,_AStruct_20,__AStruct_20);
 CLS(14,_AStruct_19,__AStruct_19);
 LCLS(1,_AStruct_113,__AStruct_113);
 LCLS(1,_AStruct_112,__AStruct_112);
 CLS(1,_AStruct_16,__AStruct_16);
 CLS(1,_AStruct_48,__AStruct_48);
 LCLS(1,_AStruct_111,__AStruct_111);
 CLS(1,_AStruct_15,__AStruct_15);
 CLS(1,_AStruct_47,__AStruct_47);
 LCLS(1,_AStruct_110,__AStruct_110);
 CLS(1,_AStruct_14,__AStruct_14);
 CLS(1,_AStruct_46,__AStruct_46);
 DEN(" \n",__AStruct_109);
 CLS(1,_AStruct_13,__AStruct_13);
 CLS(1,_AStruct_45,__AStruct_45);
 LCLS(1,_AStruct_108,__AStruct_108);
 CLS(1,_AStruct_12,__AStruct_12);
 LCLS(1,_AStruct_107,__AStruct_107);
 CLS(2,_AStruct_11,__AStruct_11);
 CLS(1,_AStruct_43,__AStruct_43);
 LCLS(1,_AStruct_106,__AStruct_106);
 LCLS(1,_AStruct_105,__AStruct_105);
 CLS(1,_AStruct_9,__AStruct_9);
 CLS(1,_AStruct_41,__AStruct_41);
 LCLS(1,_AStruct_104,__AStruct_104);
 DEN("ErrorStruct",__AStruct_103);
 CLS(1,_AStruct_7,__AStruct_7);
 CLS(1,_AStruct_39,__AStruct_39);
 DEN("\n",__AStruct_102);
 CLS(1,_AStruct_6,__AStruct_6);
 LCLS(1,_AStruct_101,__AStruct_101);
 CLS(1,_AStruct_5,__AStruct_5);
 DEN(" ",__AStruct_100);
 CLS(1,_AStruct_4,__AStruct_4);
 CLS(1,_AStruct_36,__AStruct_36);
 CLS(2,_AStruct_99,__AStruct_99);
 CLS(1,_AStruct_3,__AStruct_3);
 DEN("ErrorOrigin",__AStruct_98);
 CLS(4,_AStruct_2,__AStruct_2);
 CLS(1,_AStruct_34,__AStruct_34);
 CLS(1,_AStruct_33,__AStruct_33);
 CLS(2,_AStruct_97,__AStruct_97);
 CLS(1,_AStruct_32,__AStruct_32);
 CLS(1,_AStruct_96,__AStruct_96);
 MTH(1,0,2,_mt_1_0_2);LZYMTH(1,0,2,_mt_1_0_2);
 MTH(1,0,3,_mt_1_0_3);LZYMTH(1,0,3,_mt_1_0_3);
 MTH(14,0,14,_mt_14_0_14);LZYMTH(14,0,14,_mt_14_0_14);
 PRM1(__AStruct_8);
 PRM1(__AStruct_35);
 PRM(3,__AStruct_38);
 PRM(2,__AStruct_40);
 PRM(1,__AStruct_42);
 PRM(0,__AStruct_44);}

